package com.gyee.wisdom.dao.system;

import com.gyee.wisdom.common.data.system.model.Resource;
import java.util.List;


public interface IResourceDao {

    void add(Resource resource);

    void update(Resource resource);

    Resource get(String id);

    List<Resource> list() ;

    void remove(String id);

    void switchStatus(String id,boolean disabled);

    List<Resource> listByRole(String roleId) ;

    List<Resource> getEnableResources();
}
